<div class="container" *ngIf="!!growingConditionsOptions">

  <h1>Create environment</h1>

    <br>
    
    <mat-form-field appearance="outline" color="primary">
      <mat-label>Environment name</mat-label>
      <input matInput [formControl]="environmentName">
      <mat-error>You must specify a name for your environment</mat-error>
    </mat-form-field>
    
    <mat-form-field appearance="outline" color="primary">
      <mat-label>Select growing conditions for your environment</mat-label>
      <mat-select [formControl]="environmentGrowingConditions">
        <mat-option *ngFor="let cond of growingConditionsOptions" value="{{cond.id}}">{{cond.flora}}</mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field appearance="outline" color="primary">
      <mat-label>Select environment placement</mat-label>
      <mat-select [formControl]="environmentOutdoor">
        <mat-option value="false">Indoor</mat-option>
        <mat-option value="true">Outdoor</mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field appearance="outline" color="primary">
      <mat-label>Select environment orientation</mat-label>
      <mat-select [formControl]="environmentOrientation">
        <mat-option value="NORTH">North</mat-option>
        <mat-option value="EAST">East</mat-option>
        <mat-option value="SOUTH">South</mat-option>
        <mat-option value="WEST">West</mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Latitude</mat-label>
      <input matInput type="number" [formControl]="environmentLatitude">
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Longitude</mat-label>
      <input matInput type="number" [formControl]="environmentLongitude">
    </mat-form-field>

    <button mat-raised-button (click)="onSave()" color="add-button">Create</button>

</div>
